Page MenuHomeFreeBSD

irc/hexchat: Fix build with libressl
ClosedPublic

Authored by olivier on Dec 17 2016, 9:32 AM.

Details

Summary

Patch submitted directly by email to me by a user, forwarded to and validated by the port maintainer.
And during a poudriere testport, I've noticed that I had to replace an old WITH_OPENSSL_PORT.
poudriere testport logs:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

olivier updated this revision to Diff 23022.Dec 17 2016, 9:32 AM
olivier retitled this revision from to Fix build with libressl.
olivier updated this object.
olivier edited the test plan for this revision. (Show Details)
olivier added reviewers: jadawin, tabthorpe.
pkubaj added a subscriber: pkubaj.Dec 21 2016, 7:29 PM
pkubaj added inline comments.
irc/hexchat/Makefile
6 ↗(On Diff #23022)

Why do you bump PORTREVISION here?
Since the patch fixes build in some cases (using security/libressl*) and doesn't change anything else, it's needless.

83 ↗(On Diff #23022)

Since 9.x is nearing EOL, I plan to remove this entry with the next update, so I believe it's not necessary to change it, however if you insist on doing this, I don't mind.

olivier updated this revision to Diff 23189.Dec 21 2016, 11:41 PM

Remove bump PORTREVISION: It's a "Build fixes which cause a package to become compilable where it was previously failing" case.

olivier marked an inline comment as done.Dec 21 2016, 11:44 PM
olivier added inline comments.
irc/hexchat/Makefile
6 ↗(On Diff #23022)

I'm never confident when I need to increment the PORTREVISION, then when I've got a doubt I update it.
But here I'm in the case: "Examples of changes which do not require a PORTREVISION bump. Build fixes which cause a package to become compilable where it was previously failing.", then like you say, it's useless.

83 ↗(On Diff #23022)

I was just trying to push the more "clean" possible port for increase my chance to pass the mentors filter :-)

brnrd added a subscriber: brnrd.Dec 25 2016, 10:00 AM
brnrd added inline comments.
irc/hexchat/Makefile
83 ↗(On Diff #23022)

Setting DEFAULT_VERSIONS from a port is impoper. Use this construct in stead

.if ${SSL_DEFAULT} == base
IGNORE_FreeBSD_9=      Requires newer OpenSSL (set DEFAULT_VERSIONS+=ssl=openssl)
 .endif
irc/hexchat/files/patch-src__common__ssl.c
8 ↗(On Diff #23189)

Please append the additional check rather than prepending it. Makes the diff easier to understand

-#if OPENSSL_VERSION_NUMBER < 0x10100000L
+#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
olivier updated this revision to Diff 23394.Dec 29 2016, 10:31 AM
olivier marked an inline comment as done.

Comply to brnrd's advices.

pkubaj added inline comments.Jan 2 2017, 7:48 AM
irc/hexchat/Makefile
83 ↗(On Diff #23022)

Since 9-STABLE is now EOL, this whole .if block may be removed now.

pkubaj added a comment.EditedJan 2 2017, 1:41 PM

@olivier
And since it's been over two weeks, could you call it mentor timeout (similar to maintainer timeout) and just commit it? :)

pkubaj added a subscriber: oliver.Jan 2 2017, 1:42 PM
oliver removed a subscriber: oliver.Jan 2 2017, 2:14 PM
jadawin edited edge metadata.Jan 2 2017, 2:15 PM
In D8824#186278, @pkubaj_riseup.net wrote:

@olivier
And since it's been over two weeks, could you call it mentor timeout (similar to maintainer timeout) and just commit it? :)

Nope! :)
Sorry, i was on vacations with no internet access. Oliver was aware about that and his co-mentor, too.

oliver added a subscriber: olivier.Jan 2 2017, 2:15 PM

you probably wanted to add him instead of me ;)

olivier updated this revision to Diff 23532.Jan 2 2017, 2:34 PM
olivier edited edge metadata.

Remove 9.X branch hack.

jadawin accepted this revision.Jan 3 2017, 2:04 PM
jadawin edited edge metadata.
This revision is now accepted and ready to land.Jan 3 2017, 2:04 PM
This revision was automatically updated to reflect the committed changes.
pkubaj reopened this revision.Jan 3 2017, 6:00 PM

It should also be MFH'd to 2017Q1.

This revision is now accepted and ready to land.Jan 3 2017, 6:00 PM
linimon retitled this revision from Fix build with libressl to irc/hexchat: Fix build with libressl.Jul 18 2018, 12:59 PM
olivier closed this revision.Sep 24 2019, 5:23 PM

Forgot to close this old revision.